%  taytwo4.m
% Matlab file for Part 4 of the Taylor Polynomials II
% module

disp('*********************************************')
disp('Part 4:  Polynomial Approximations to ln(1+x) ')
disp('*********************************************')
disp(' ')    

    format short

    disp('Step 1: ')
    disp('Answer the question using MATLAB comments')
    disp('in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 2: ')
    disp('In MATLAB, the natural log function is log(t).')
    disp(' ')
    disp('Check out the Taylor polynomials for  ')
    disp('f(x)=log(x+1) by entering the following ')
    disp('commands. ')
    disp(' ')
    disp(' syms x ')
    disp(' f=log(1+x) ')
    disp(' P3=taylor(f,4)')
    disp(' pretty(P3) ')
    disp(' P4=taylor(f,5)')
    disp(' pretty(P4) ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp(' ')
    disp('Calculate a few high degree Taylor polynomials ')
    disp('so you can see the pattern of the coefficients. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 3:')
    disp('Enter the following commands to plot f(x) and ')
    disp('P4(x) together in figure 1 and also plot ')
    disp('the error f(x) - P4(x) in figure 2.')
    disp(' ')
    disp(' figure(1); clf ')
    disp(' xv=-1:0.05:2;   ')
    disp(' yf=subs(f,x,xv);  ')
    disp(' plot(xv,yf,''b''); hold on ')
    disp(' yP4=subs(P4,x,xv); ')
    disp(' plot(xv,yP4,''r-.'') ')
    disp(' axis([-1 2 -2 2]) ')
    disp(' legend(''f(x)'',''Taylor'') ')
    disp(' title(''Taylor approximation vs. Actual function'') ')
    disp(' figure(2); clf ')
    disp(' plot(xv,yf-yP4,''b''); hold on ')
    disp(' title(''Error in Taylor approximation'') ')
    disp(' ')
    disp('------------------------------------------------ ')
    disp('Describe how well P4(x) approximates log(1+x).')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 3 (cont.): ')
    disp('Make comparison plots of f(x) with Taylor ')
    disp('approximations P1, P2, and P3, along with the')
    disp('error plot for each.')
    disp(' ')
    disp('---------------------------------------------- ')
    disp('Describe how well each Pn(x) approximates log(1+x).')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 4:')
    disp('Repeat step 3 using P10, P20, and P40. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('Then answer the questions in step 4 as MATLAB ')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 5:')
    disp('Do the ''''pencil-and-paper'''' calculation. ')
    disp(' ')
    disp('Give your results and explainations as MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('When you are finished with part 4, to go on to')
    disp('part 5 of this module, type: taytwo5.')
    disp(' ')
